%global owner pazz
%global commit a7075ea6226f2dfed0142529f73989961ee7b65d

Name:       alot
Version:    0.4
Release:    2%{?dist}
Summary:    An experimental terminal MUA based on notmuch mail

Group:      Applications/Internet
License:    GPLv3
URL:        https://github.com/%{owner}/%{name}
Source0:    https://github.com/%{owner}/%{name}/archive/%{commit}/%{name}-%{commit}.tar.gz
Patch0:     ./0001-don-t-depend-on-weird-python-magic-distribution.patch

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-sphinx
Requires:       python-notmuch
Requires:       python-urwid
Requires:       python-urwidtrees
Requires:       python-twisted
Requires:       python2-pygpgme
Requires:       python-configobj
Requires:       python-magic

%description
alot makes use of existing solutions where possible: It does not fetch, send or
edit mails; it lets notmuch handle your mailindex and uses a toolkit to render
its display. You are responsible for automatic initial tagging.


%prep
%autosetup -n %{name}-%{commit}


%build
%py2_build
pushd docs
make %{?_smp_mflags} man
popd


%install
%py2_install
pushd docs
mkdir -p %{buildroot}%{_mandir}/man1/
install -p -m 0644 build/man/alot.1* %{buildroot}%{_mandir}/man1/
popd


%files
%{python2_sitelib}/alot/*
%{python2_sitelib}/alot-%{version}-*.egg-info
%doc NEWS
%doc COPYING
%doc README.md
%{_bindir}/alot
%{_mandir}/man1/alot*


%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jan 12 2017 Tomas Tomecek <ttomecek@redhat.com> - 0.4-1
- update to 0.4

* Sat Dec 10 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.3.6-5
- Rebuild for gpgme 1.18

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.6-4
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Aug 12 2014 Tomas Tomecek <ttomecek@redhat.com> - 0.3.6-1
- initial package

